package com.yonge.cooleshow.admin.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-05-25
 */
@ApiModel("首页订单统计数据")
public class HomeOrderStatistical {

    @ApiModelProperty("本月订单数")
    private Integer monthOrderCount;

    @ApiModelProperty("订单数同比上月")
    private Integer monthOrderCountProportion;

    @ApiModelProperty("本周订单数")
    private Integer weekOrderCount;


    @ApiModelProperty("订单数同比上周")
    private Integer weekOrderCountProportion;


    @ApiModelProperty("本月订单金额")
    private BigDecimal monthOrderAmount;


    @ApiModelProperty("本月订单同比金额")
    private Integer monthOrderAmountProportion;


    @ApiModelProperty("本周订单数")
    private BigDecimal weekOrderAmount;


    @ApiModelProperty("本周订单同比金额")
    private Integer weekOrderAmountProportion;

    @ApiModelProperty("统计图数据")
    private List<OrderStatistical> orderStatisticalList;


    public Integer getMonthOrderCount() {
        return monthOrderCount;
    }

    public void setMonthOrderCount(Integer monthOrderCount) {
        this.monthOrderCount = monthOrderCount;
    }

    public Integer getMonthOrderCountProportion() {
        return monthOrderCountProportion;
    }

    public void setMonthOrderCountProportion(Integer monthOrderCountProportion) {
        this.monthOrderCountProportion = monthOrderCountProportion;
    }

    public Integer getWeekOrderCount() {
        return weekOrderCount;
    }

    public void setWeekOrderCount(Integer weekOrderCount) {
        this.weekOrderCount = weekOrderCount;
    }

    public Integer getWeekOrderCountProportion() {
        return weekOrderCountProportion;
    }

    public void setWeekOrderCountProportion(Integer weekOrderCountProportion) {
        this.weekOrderCountProportion = weekOrderCountProportion;
    }

    public BigDecimal getMonthOrderAmount() {
        return monthOrderAmount;
    }

    public void setMonthOrderAmount(BigDecimal monthOrderAmount) {
        this.monthOrderAmount = monthOrderAmount;
    }

    public Integer getMonthOrderAmountProportion() {
        return monthOrderAmountProportion;
    }

    public void setMonthOrderAmountProportion(Integer monthOrderAmountProportion) {
        this.monthOrderAmountProportion = monthOrderAmountProportion;
    }

    public BigDecimal getWeekOrderAmount() {
        return weekOrderAmount;
    }

    public void setWeekOrderAmount(BigDecimal weekOrderAmount) {
        this.weekOrderAmount = weekOrderAmount;
    }

    public Integer getWeekOrderAmountProportion() {
        return weekOrderAmountProportion;
    }

    public void setWeekOrderAmountProportion(Integer weekOrderAmountProportion) {
        this.weekOrderAmountProportion = weekOrderAmountProportion;
    }

    public List<OrderStatistical> getOrderStatisticalList() {
        return orderStatisticalList;
    }

    public void setOrderStatisticalList(List<OrderStatistical> orderStatisticalList) {
        this.orderStatisticalList = orderStatisticalList;
    }
}

